Commoncpp problems on LFS 5.0 system

Matthew Burgess matthew at linuxfromscratch.org
Mon Apr 19 11:33:48 PDT 2004


On Sun, 18 Apr 2004 06:18:59 -0400
Serge Delorme <s_del at megacom.net> wrote:

> Le dimanche 18 avr. 2004 à 03:20:23 +0200, Vidar Hoel a écrit:
> > I unpack commoncpp2-1.1.0.tar.gz, and run:
> > ./configure --prefix=/usr --with-linuxthreads
> > 
> > (I have also tried with "--with-pthread")
> 
> <snip> 
>  
> > Has anyone compiled commoncpp without problems? Are I the only one
> > with the same error on all my three LFS-boxes?
>  
> I tried version 1.1.3 with linuxthreads/pthread and I get the same
> error... 

Neither the --with-linuxthreads or --with-pthread options are required
for GNU/linux systems:

---
From: David Sugar <dyfet at ostel.com>
To: bug-commoncpp at gnu.org
Cc: Matthew Burgess <matthew at linuxfromscratch.org>
Subject: Re: commoncpp-1.1.4 doesn't compile with --with-linuxthreads
Date: Mon, 19 Apr 2004 07:48:09 -0400
User-Agent: KMail/1.6.2

The --with-linuxthreads option is meant for FreeBSD systems that
optionally had a port of the Linux threading system called
"linuxthreads", available as a separate and optional link threading
library, in addition to the default FreeBSD threading support.  That
option was NEVER meant to be used on a GNU/Linux system, and Common C++
automatically detects  and configures for glibc pthread support without
any special options.
---

Regards,

Matt.



More information about the blfs-support mailing list